com.independentsoft.msg

## Class ExtendedPropertyName

- java.lang.Object
- - com.independentsoft.msg.ExtendedPropertyTag
  - - com.independentsoft.msg.ExtendedPropertyName

-     public class ExtendedPropertyName
      extends ExtendedPropertyTag

  The Class ExtendedPropertyName.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedPropertyName()` Instantiates a new extended property name.
    `ExtendedPropertyName(java.lang.String name, byte[] guid)` Instantiates a new extended property name.
    `ExtendedPropertyName(java.lang.String name, byte[] guid, PropertyType type)` Instantiates a new extended property name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name.
    `void` | `setName(java.lang.String name)` Sets the name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.independentsoft.msg.ExtendedPropertyTag

      `getGuid, getType, setGuid, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedPropertyName

          public ExtendedPropertyName()

      Instantiates a new extended property name.

    - #### ExtendedPropertyName

          public ExtendedPropertyName(java.lang.String name,
                                      byte[] guid)

      Instantiates a new extended property name.
      Parameters:
        `name` - the name
        `guid` - the guid

    - #### ExtendedPropertyName

          public ExtendedPropertyName(java.lang.String name,
                                      byte[] guid,
                                      PropertyType type)

      Instantiates a new extended property name.
      Parameters:
        `name` - the name
        `guid` - the guid
        `type` - the type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name.
      Parameters:
        `name` - the new name